<?php
/**
 * All settings related to single.
 *
 * @package MagFusion
 */
$wp_customize->add_section(
	'single_options',
	array(
		'title' => esc_html__( 'Single Page Options', 'magfusion' ),
		'panel' => 'single_options_panel',
	)
);

$wp_customize->add_setting(
    'magfusion_options[enable_single_author_meta]',
    array(
        'default'           => $magfusion_default['enable_single_author_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_single_author_meta]',
    array(
        'label'       => esc_html__( 'Show Author Meta', 'magfusion' ),
        'section'     => 'single_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'magfusion_options[select_single_author_meta]',
    array(
        'default'           => $magfusion_default['select_single_author_meta'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_single_author_meta]',
    array(
        'label'         => esc_html__( 'Author Meta Display Options', 'magfusion' ),
        'section'     => 'single_options',
        'type'        => 'select',
        'choices'       => magfusion_author_meta(),


    )
);

$wp_customize->add_setting(
    'magfusion_options[single_author_meta_title]',
    array(
        'default'           => $magfusion_default['single_author_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magfusion_options[single_author_meta_title]',
    array(
        'label'    => __( 'Author Meta Text', 'magfusion' ),
        'section'  => 'single_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'magfusion_options[enable_single_date_meta]',
    array(
        'default'           => $magfusion_default['enable_single_date_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_single_date_meta]',
    array(
        'label'       => esc_html__( 'Display Published Date', 'magfusion' ),
        'section'     => 'single_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'magfusion_options[select_single_date]',
    array(
        'default'           => $magfusion_default['select_single_date'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_single_date]',
    array(
        'label'         => esc_html__( 'Select Date Meta', 'magfusion' ),
        'section'     => 'single_options',
        'type'        => 'select',
        'choices'       => magfusion_date_meta(),

    )
);

$wp_customize->add_setting(
    'magfusion_options[single_date_meta_title]',
    array(
        'default'           => $magfusion_default['single_date_meta_title'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magfusion_options[single_date_meta_title]',
    array(
        'label'    => __( 'Date Meta Text', 'magfusion' ),
        'section'  => 'single_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'magfusion_options[select_single_date_format]',
    array(
        'default'           => $magfusion_default['select_single_date_format'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_single_date_format]',
    array(
        'label'         => esc_html__( 'Select Date Format', 'magfusion' ),
        'section'     => 'single_options',
        'type'        => 'select',
        'choices'  		=> magfusion_get_date_formats(),
    )
);

$wp_customize->add_setting(
    'magfusion_options[enable_single_category_meta]',
    array(
        'default'           => $magfusion_default['enable_single_category_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_single_category_meta]',
    array(
        'label'       => esc_html__( 'Enable Single Category Meta', 'magfusion' ),
        'section'     => 'single_options',
        'type'        => 'checkbox',
    )
);


$wp_customize->add_setting(
    'magfusion_options[single_category_label]',
    array(
        'default'           => $magfusion_default['single_category_label'],
        'sanitize_callback' => 'sanitize_text_field',
    )
);
$wp_customize->add_control(
    'magfusion_options[single_category_label]',
    array(
        'label'    => __( 'Category Title', 'magfusion' ),
        'section'  => 'single_options',
        'type'     => 'text',
    )
);

$wp_customize->add_setting(
    'magfusion_options[select_single_category_color]',
    array(
        'default'           => $magfusion_default['select_single_category_color'],
        'sanitize_callback' => 'magfusion_sanitize_select',
    )
);
$wp_customize->add_control(
    'magfusion_options[select_single_category_color]',
    array(
        'label'         => esc_html__( 'Select Category Color', 'magfusion' ),
        'section'     => 'single_options',
        'type'        => 'select',
        'choices'  		=> magfusion_category_color(),

    )
);

$wp_customize->add_setting(
    'magfusion_options[enable_single_tag_meta]',
    array(
        'default'           => $magfusion_default['enable_single_tag_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_single_tag_meta]',
    array(
        'label'       => esc_html__( 'Enable Tag Meta', 'magfusion' ),
        'section'     => 'single_options',
        'type'        => 'checkbox',
    )
);

$wp_customize->add_setting(
    'magfusion_options[enable_single_read_time_meta]',
    array(
        'default'           => $magfusion_default['enable_single_read_time_meta'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_single_read_time_meta]',
    array(
        'label'       => esc_html__( 'Enable Read Time', 'magfusion' ),
        'section'     => 'single_options',
        'type'        => 'checkbox',
    )
);



$wp_customize->add_setting(
    'magfusion_section_seperator_single_5',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Magfusion_Seperator_Control(
        $wp_customize,
        'magfusion_section_seperator_single_5',
        array(
            'settings' => 'magfusion_section_seperator_single_5',
            'section'       => 'single_options',
        )
    )
);


$wp_customize->add_setting(
    'magfusion_options[show_sticky_article_navigation]',
    array(
        'default'           => $magfusion_default['show_sticky_article_navigation'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[show_sticky_article_navigation]',
    array(
        'label'    => __( 'Show Sticky Article Navigation', 'magfusion' ),
        'section'  => 'single_options',
        'type'     => 'checkbox',
    )
);

/*Show Author Info Box start
*-------------------------------*/
$wp_customize->add_setting(
    'magfusion_section_seperator_single_2',
    array(
        'default'           => '',
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'sanitize_text_field'
    )
);

$wp_customize->add_control(
    new Magfusion_Seperator_Control(
        $wp_customize,
        'magfusion_section_seperator_single_2',
        array(
            'settings' => 'magfusion_section_seperator_single_2',
            'section'       => 'single_options',
        )
    )
);

$wp_customize->add_setting(
    'magfusion_options[show_author_info]',
    array(
        'default'           => $magfusion_default['show_author_info'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[show_author_info]',
    array(
        'label'    => __( 'Show Author Info Box', 'magfusion' ),
        'section'  => 'single_options',
        'type'     => 'checkbox',
    )
);


$wp_customize->add_section(
    'single_sidebar_options',
    array(
        'title' => esc_html__( 'SideBar Options', 'magfusion' ),
        'panel' => 'single_options_panel',
    )
);


$wp_customize->add_setting(
    'single_sidebar_layout_option',
    array(
        'default'           => $magfusion_default['single_sidebar_layout_option'],
        'capability'        => 'edit_theme_options',
        'sanitize_callback' => 'magfusion_sanitize_radio'
    )
);

$wp_customize->add_control(
    new Magfusion_Custom_Radio_Image_Control(
        $wp_customize,
        'single_sidebar_layout_option',
        array(
            'label'         => esc_html__( 'Select Sidebar Layout (Single)', 'magfusion' ),
            'section'       => 'single_sidebar_options',
            'choices'       => magfusion_get_sidebar_layouts(),
        )
    )
);




$wp_customize->add_setting(
    'magfusion_options[enable_sidebar_fix_single]',
    array(
        'default'           => $magfusion_default['enable_sidebar_fix_single'],
        'sanitize_callback' => 'magfusion_sanitize_checkbox',
    )
);
$wp_customize->add_control(
    'magfusion_options[enable_sidebar_fix_single]',
    array(
        'label'    => __( 'Enable Sticky Sidebar', 'magfusion' ),
        'section'     => 'single_options_panel',
        'type'        => 'checkbox',
    )
);